Subject: bug#40863: [PATCH] Improve the display-time-world UI

From: Stefan Kangas <[email-masked]>
Date: Fri, 22 May 2020 22:26:43 -0700

Stefan Kangas <[email-masked]> writes:

> So here's a revised set of patches:
>
> 1. Fix all Basil's comments, and remove the buffer rename that Eli
>    didn't approve of.
>
> 2. Rename 'display-time-world' to 'world-clock', and add an alias for
>    the old name.
>
> Then comes the more ambitious part:
>
> 3. Rename 'display-time-world-*' functions and variables into
>    'world-clock-*' equivalents and make the old names into obsolete
>    aliases.
>
>    Move the world-clock options from the defgroup display-time
>    (sorting under the mode-line and mail), into a new defgroup
>    world-clock (sorting under applications).
>
> 4. Rearrange the defcustoms time.el to clearly separate world-clock
>    from display-time-mode.  Cleanup of :group args.
>
> I have seen no objections to the proposals in patches 1-2 so far, and
> I hope that we can agree to make the changes also in patches 3-4. I
> think the result is much more logical from pretty much any point of
> view.
>
> Comments are obviously very welcome.

No comments within 3 weeks.  Can I therefore assume there are no
objections to any of the above?  Thanks.

Best regards,
Stefan Kangas